com.genesyslab.wfm8.API.service.schedule850

## Class SchAgentDayShort

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule850.SchAgentDayShort

- All Implemented Interfaces:
    java.io.Serializable

      public class SchAgentDayShort
      extends java.lang.Object
      implements java.io.Serializable

  Agent Day Schedule in "short" form: contains all the Agent Day information, except the scheduled states.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `eligibleForTrade` Indicates whether the Agent Day can be traded or not.
    `protected int` | `gswAgentId` Agent ID: identifies `CfgAgent` object.
    `protected int` | `gswUserId` User ID if schedule day is "pending", and zero if schedule is "committed".
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp`
    `protected java.lang.String` | `wmComments` Comments for the Agent Day schedule.
    `protected double` | `wmDate` Date of the agent day schedule `OleDateTime`
    `protected int` | `wmDayType` Type of the agent day schedule `ESchDayType`
    `protected double` | `wmEndDateTime` End time of the last schedule state in Agent Day.
    `protected int` | `wmExceptionTypeId` Exception ID: identifies full-day Exception `CfgExceptionType` if wmDayType = ESchDayType.SCH_DAY_EXCEPTION
    `protected int` | `wmFlag` Agent Day Flag `ESchDayFlag`
    `protected boolean` | `wmMarked` Indicates whether agent day satisfies currently applied schedule state filter or not.
    `protected int` | `wmOvertimeMinutes` Daily overtime minutes.
    `protected int` | `wmPaidMinutes` Total paid minutes in the Agent Day schedule.
    `protected int` | `wmScheduleId` Schedule (Scenario) identifier (zero for Master Schedule)
    `protected double` | `wmShiftEndDateTime` Shift Schedule State end date/time `OleDateTime` if wmDayType = ESchDayType.SCH_DAY_SHIFT
    `protected int` | `wmShiftId` Shift ID: identifies `CfgShift` if wmDayType = ESchDayType.SCH_DAY_SHIFT
    `protected double` | `wmShiftStartDateTime` Shift Schedule State start date/time `OleDateTime` if wmDayType = ESchDayType.SCH_DAY_SHIFT
    `protected int` | `wmSiteId` Site ID: identifies `CfgSite` object.
    `protected double` | `wmStartDateTime` Start time of the first schedule state in the Agent Day.
    `protected int` | `wmTeamId` Team ID: identifies `CfgTeam` object.
    `protected int` | `wmTimeOffTypeId` Time Off Type ID: identifies full-day Time Off `CfgTimeOffType` if wmDayType = ESchDayType.SCH_DAY_TIMEOFF
    `protected int` | `wmTimezoneId` Time Zone ID used.
    `protected int` | `wmVacationMinutes` Total Time Off state minutes in the Agent Day schedule.
    `protected int` | `wmWorkMinutes` Total effective-work minutes in the Agent Day schedule.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchAgentDayShort()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswAgentId()` Gets the value of the gswAgentId property.
    `int` | `getGswUserId()` Gets the value of the gswUserId property.
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `java.lang.String` | `getWmComments()` Gets the value of the wmComments property.
    `double` | `getWmDate()` Gets the value of the wmDate property.
    `int` | `getWmDayType()` Gets the value of the wmDayType property.
    `double` | `getWmEndDateTime()` Gets the value of the wmEndDateTime property.
    `int` | `getWmExceptionTypeId()` Gets the value of the wmExceptionTypeId property.
    `int` | `getWmFlag()` Gets the value of the wmFlag property.
    `int` | `getWmOvertimeMinutes()` Gets the value of the wmOvertimeMinutes property.
    `int` | `getWmPaidMinutes()` Gets the value of the wmPaidMinutes property.
    `int` | `getWmScheduleId()` Gets the value of the wmScheduleId property.
    `double` | `getWmShiftEndDateTime()` Gets the value of the wmShiftEndDateTime property.
    `int` | `getWmShiftId()` Gets the value of the wmShiftId property.
    `double` | `getWmShiftStartDateTime()` Gets the value of the wmShiftStartDateTime property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `double` | `getWmStartDateTime()` Gets the value of the wmStartDateTime property.
    `int` | `getWmTeamId()` Gets the value of the wmTeamId property.
    `int` | `getWmTimeOffTypeId()` Gets the value of the wmTimeOffTypeId property.
    `int` | `getWmTimezoneId()` Gets the value of the wmTimezoneId property.
    `int` | `getWmVacationMinutes()` Gets the value of the wmVacationMinutes property.
    `int` | `getWmWorkMinutes()` Gets the value of the wmWorkMinutes property.
    `int` | `hashCode()`
    `boolean` | `isEligibleForTrade()` Gets the value of the eligibleForTrade property.
    `boolean` | `isWmMarked()` Gets the value of the wmMarked property.
    `void` | `setEligibleForTrade(boolean value)` Sets the value of the eligibleForTrade property.
    `void` | `setGswAgentId(int value)` Sets the value of the gswAgentId property.
    `void` | `setGswUserId(int value)` Sets the value of the gswUserId property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmComments(java.lang.String value)` Sets the value of the wmComments property.
    `void` | `setWmDate(double value)` Sets the value of the wmDate property.
    `void` | `setWmDayType(int value)` Sets the value of the wmDayType property.
    `void` | `setWmEndDateTime(double value)` Sets the value of the wmEndDateTime property.
    `void` | `setWmExceptionTypeId(int value)` Sets the value of the wmExceptionTypeId property.
    `void` | `setWmFlag(int value)` Sets the value of the wmFlag property.
    `void` | `setWmMarked(boolean value)` Sets the value of the wmMarked property.
    `void` | `setWmOvertimeMinutes(int value)` Sets the value of the wmOvertimeMinutes property.
    `void` | `setWmPaidMinutes(int value)` Sets the value of the wmPaidMinutes property.
    `void` | `setWmScheduleId(int value)` Sets the value of the wmScheduleId property.
    `void` | `setWmShiftEndDateTime(double value)` Sets the value of the wmShiftEndDateTime property.
    `void` | `setWmShiftId(int value)` Sets the value of the wmShiftId property.
    `void` | `setWmShiftStartDateTime(double value)` Sets the value of the wmShiftStartDateTime property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `void` | `setWmStartDateTime(double value)` Sets the value of the wmStartDateTime property.
    `void` | `setWmTeamId(int value)` Sets the value of the wmTeamId property.
    `void` | `setWmTimeOffTypeId(int value)` Sets the value of the wmTimeOffTypeId property.
    `void` | `setWmTimezoneId(int value)` Sets the value of the wmTimezoneId property.
    `void` | `setWmVacationMinutes(int value)` Sets the value of the wmVacationMinutes property.
    `void` | `setWmWorkMinutes(int value)` Sets the value of the wmWorkMinutes property.
    `java.lang.String` | `toString()`
    `SchAgentDayShort` | `withEligibleForTrade(boolean value)`
    `SchAgentDayShort` | `withGswAgentId(int value)`
    `SchAgentDayShort` | `withGswUserId(int value)`
    `SchAgentDayShort` | `withTimestamp(long value)`
    `SchAgentDayShort` | `withWmComments(java.lang.String value)`
    `SchAgentDayShort` | `withWmDate(double value)`
    `SchAgentDayShort` | `withWmDayType(int value)`
    `SchAgentDayShort` | `withWmEndDateTime(double value)`
    `SchAgentDayShort` | `withWmExceptionTypeId(int value)`
    `SchAgentDayShort` | `withWmFlag(int value)`
    `SchAgentDayShort` | `withWmMarked(boolean value)`
    `SchAgentDayShort` | `withWmOvertimeMinutes(int value)`
    `SchAgentDayShort` | `withWmPaidMinutes(int value)`
    `SchAgentDayShort` | `withWmScheduleId(int value)`
    `SchAgentDayShort` | `withWmShiftEndDateTime(double value)`
    `SchAgentDayShort` | `withWmShiftId(int value)`
    `SchAgentDayShort` | `withWmShiftStartDateTime(double value)`
    `SchAgentDayShort` | `withWmSiteId(int value)`
    `SchAgentDayShort` | `withWmStartDateTime(double value)`
    `SchAgentDayShort` | `withWmTeamId(int value)`
    `SchAgentDayShort` | `withWmTimeOffTypeId(int value)`
    `SchAgentDayShort` | `withWmTimezoneId(int value)`
    `SchAgentDayShort` | `withWmVacationMinutes(int value)`
    `SchAgentDayShort` | `withWmWorkMinutes(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### gswUserId

          protected int gswUserId

      User ID if schedule day is "pending", and zero if schedule is "committed".

    - #### wmScheduleId

          protected int wmScheduleId

      Schedule (Scenario) identifier (zero for Master Schedule)

    - #### wmSiteId

          protected int wmSiteId

      Site ID: identifies `CfgSite` object.

    - #### wmTeamId

          protected int wmTeamId

      Team ID: identifies `CfgTeam` object.

    - #### gswAgentId

          protected int gswAgentId

      Agent ID: identifies `CfgAgent` object. This has a negative value if the agent is the "Profile Agent".

    - #### wmDate

          protected double wmDate

      Date of the agent day schedule `OleDateTime`

    - #### wmDayType

          protected int wmDayType

      Type of the agent day schedule `ESchDayType`

    - #### wmExceptionTypeId

          protected int wmExceptionTypeId

      Exception ID: identifies full-day Exception `CfgExceptionType` if wmDayType = ESchDayType.SCH_DAY_EXCEPTION

    - #### wmTimeOffTypeId

          protected int wmTimeOffTypeId

      Time Off Type ID: identifies full-day Time Off `CfgTimeOffType` if wmDayType = ESchDayType.SCH_DAY_TIMEOFF

    - #### wmStartDateTime

          protected double wmStartDateTime

      Start time of the first schedule state in the Agent Day. If Agent Day is of full-day type, for instance, Exception, Day Off, or Time Off, then wmStartDateTime is equal to wmDate. This is a read-only attribute. `OleDateTime`

    - #### wmEndDateTime

          protected double wmEndDateTime

      End time of the last schedule state in Agent Day. If Agent Day is of full-day type, for instance, Exception, Day Off, or Time Off, then wmEndDateTime is equal to wmDate. This is a read-only attribute.

    - #### wmShiftId

          protected int wmShiftId

      Shift ID: identifies `CfgShift` if wmDayType = ESchDayType.SCH_DAY_SHIFT

    - #### wmShiftStartDateTime

          protected double wmShiftStartDateTime

      Shift Schedule State start date/time `OleDateTime` if wmDayType = ESchDayType.SCH_DAY_SHIFT

    - #### wmShiftEndDateTime

          protected double wmShiftEndDateTime

      Shift Schedule State end date/time `OleDateTime` if wmDayType = ESchDayType.SCH_DAY_SHIFT

    - #### wmComments

          protected java.lang.String wmComments

      Comments for the Agent Day schedule.

    - #### wmFlag

          protected int wmFlag

      Agent Day Flag `ESchDayFlag`

    - #### wmPaidMinutes

          protected int wmPaidMinutes

      Total paid minutes in the Agent Day schedule. If a modified day of type SCH_DAY_EXCEPTION is sent back to the server, then the specified paid minutes tell the server how this full-day exception needs to be compensated. Otherwise, if value is zero, the standard working hours are used as the paid time for the full-day exception.

    - #### wmWorkMinutes

          protected int wmWorkMinutes

      Total effective-work minutes in the Agent Day schedule. This is a read-only attribute.

    - #### wmVacationMinutes

          protected int wmVacationMinutes

      Total Time Off state minutes in the Agent Day schedule. This is a read-only attribute.

    - #### wmOvertimeMinutes

          protected int wmOvertimeMinutes

      Daily overtime minutes. This is a read-only attribute.

    - #### eligibleForTrade

          protected boolean eligibleForTrade

      Indicates whether the Agent Day can be traded or not. This is a read-only attribute.

    - #### wmMarked

          protected boolean wmMarked

      Indicates whether agent day satisfies currently applied schedule state filter or not.

    - #### wmTimezoneId

          protected int wmTimezoneId

      Time Zone ID used. A zero value represents Site time zone. `CfgTimezone`

    - #### timestamp

          protected long timestamp

  - ### Constructor Detail

    - #### SchAgentDayShort

          public SchAgentDayShort()

  - ### Method Detail

    - #### getGswUserId

          public int getGswUserId()

      Gets the value of the gswUserId property.

    - #### setGswUserId

          public void setGswUserId(int value)

      Sets the value of the gswUserId property.

    - #### getWmScheduleId

          public int getWmScheduleId()

      Gets the value of the wmScheduleId property.

    - #### setWmScheduleId

          public void setWmScheduleId(int value)

      Sets the value of the wmScheduleId property.

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getWmTeamId

          public int getWmTeamId()

      Gets the value of the wmTeamId property.

    - #### setWmTeamId

          public void setWmTeamId(int value)

      Sets the value of the wmTeamId property.

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the value of the gswAgentId property.

    - #### setGswAgentId

          public void setGswAgentId(int value)

      Sets the value of the gswAgentId property.

    - #### getWmDate

          public double getWmDate()

      Gets the value of the wmDate property.

    - #### setWmDate

          public void setWmDate(double value)

      Sets the value of the wmDate property.

    - #### getWmDayType

          public int getWmDayType()

      Gets the value of the wmDayType property.

    - #### setWmDayType

          public void setWmDayType(int value)

      Sets the value of the wmDayType property.

    - #### getWmExceptionTypeId

          public int getWmExceptionTypeId()

      Gets the value of the wmExceptionTypeId property.

    - #### setWmExceptionTypeId

          public void setWmExceptionTypeId(int value)

      Sets the value of the wmExceptionTypeId property.

    - #### getWmTimeOffTypeId

          public int getWmTimeOffTypeId()

      Gets the value of the wmTimeOffTypeId property.

    - #### setWmTimeOffTypeId

          public void setWmTimeOffTypeId(int value)

      Sets the value of the wmTimeOffTypeId property.

    - #### getWmStartDateTime

          public double getWmStartDateTime()

      Gets the value of the wmStartDateTime property.

    - #### setWmStartDateTime

          public void setWmStartDateTime(double value)

      Sets the value of the wmStartDateTime property.

    - #### getWmEndDateTime

          public double getWmEndDateTime()

      Gets the value of the wmEndDateTime property.

    - #### setWmEndDateTime

          public void setWmEndDateTime(double value)

      Sets the value of the wmEndDateTime property.

    - #### getWmShiftId

          public int getWmShiftId()

      Gets the value of the wmShiftId property.

    - #### setWmShiftId

          public void setWmShiftId(int value)

      Sets the value of the wmShiftId property.

    - #### getWmShiftStartDateTime

          public double getWmShiftStartDateTime()

      Gets the value of the wmShiftStartDateTime property.

    - #### setWmShiftStartDateTime

          public void setWmShiftStartDateTime(double value)

      Sets the value of the wmShiftStartDateTime property.

    - #### getWmShiftEndDateTime

          public double getWmShiftEndDateTime()

      Gets the value of the wmShiftEndDateTime property.

    - #### setWmShiftEndDateTime

          public void setWmShiftEndDateTime(double value)

      Sets the value of the wmShiftEndDateTime property.

    - #### getWmComments

          public java.lang.String getWmComments()

      Gets the value of the wmComments property.
      Returns:
        possible object is `String`

    - #### setWmComments

          public void setWmComments(java.lang.String value)

      Sets the value of the wmComments property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmFlag

          public int getWmFlag()

      Gets the value of the wmFlag property.

    - #### setWmFlag

          public void setWmFlag(int value)

      Sets the value of the wmFlag property.

    - #### getWmPaidMinutes

          public int getWmPaidMinutes()

      Gets the value of the wmPaidMinutes property.

    - #### setWmPaidMinutes

          public void setWmPaidMinutes(int value)

      Sets the value of the wmPaidMinutes property.

    - #### getWmWorkMinutes

          public int getWmWorkMinutes()

      Gets the value of the wmWorkMinutes property.

    - #### setWmWorkMinutes

          public void setWmWorkMinutes(int value)

      Sets the value of the wmWorkMinutes property.

    - #### getWmVacationMinutes

          public int getWmVacationMinutes()

      Gets the value of the wmVacationMinutes property.

    - #### setWmVacationMinutes

          public void setWmVacationMinutes(int value)

      Sets the value of the wmVacationMinutes property.

    - #### getWmOvertimeMinutes

          public int getWmOvertimeMinutes()

      Gets the value of the wmOvertimeMinutes property.

    - #### setWmOvertimeMinutes

          public void setWmOvertimeMinutes(int value)

      Sets the value of the wmOvertimeMinutes property.

    - #### isEligibleForTrade

          public boolean isEligibleForTrade()

      Gets the value of the eligibleForTrade property.

    - #### setEligibleForTrade

          public void setEligibleForTrade(boolean value)

      Sets the value of the eligibleForTrade property.

    - #### isWmMarked

          public boolean isWmMarked()

      Gets the value of the wmMarked property.

    - #### setWmMarked

          public void setWmMarked(boolean value)

      Sets the value of the wmMarked property.

    - #### getWmTimezoneId

          public int getWmTimezoneId()

      Gets the value of the wmTimezoneId property.

    - #### setWmTimezoneId

          public void setWmTimezoneId(int value)

      Sets the value of the wmTimezoneId property.

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withGswUserId

          public SchAgentDayShort withGswUserId(int value)

    - #### withWmScheduleId

          public SchAgentDayShort withWmScheduleId(int value)

    - #### withWmSiteId

          public SchAgentDayShort withWmSiteId(int value)

    - #### withWmTeamId

          public SchAgentDayShort withWmTeamId(int value)

    - #### withGswAgentId

          public SchAgentDayShort withGswAgentId(int value)

    - #### withWmDate

          public SchAgentDayShort withWmDate(double value)

    - #### withWmDayType

          public SchAgentDayShort withWmDayType(int value)

    - #### withWmExceptionTypeId

          public SchAgentDayShort withWmExceptionTypeId(int value)

    - #### withWmTimeOffTypeId

          public SchAgentDayShort withWmTimeOffTypeId(int value)

    - #### withWmStartDateTime

          public SchAgentDayShort withWmStartDateTime(double value)

    - #### withWmEndDateTime

          public SchAgentDayShort withWmEndDateTime(double value)

    - #### withWmShiftId

          public SchAgentDayShort withWmShiftId(int value)

    - #### withWmShiftStartDateTime

          public SchAgentDayShort withWmShiftStartDateTime(double value)

    - #### withWmShiftEndDateTime

          public SchAgentDayShort withWmShiftEndDateTime(double value)

    - #### withWmComments

          public SchAgentDayShort withWmComments(java.lang.String value)

    - #### withWmFlag

          public SchAgentDayShort withWmFlag(int value)

    - #### withWmPaidMinutes

          public SchAgentDayShort withWmPaidMinutes(int value)

    - #### withWmWorkMinutes

          public SchAgentDayShort withWmWorkMinutes(int value)

    - #### withWmVacationMinutes

          public SchAgentDayShort withWmVacationMinutes(int value)

    - #### withWmOvertimeMinutes

          public SchAgentDayShort withWmOvertimeMinutes(int value)

    - #### withEligibleForTrade

          public SchAgentDayShort withEligibleForTrade(boolean value)

    - #### withWmMarked

          public SchAgentDayShort withWmMarked(boolean value)

    - #### withWmTimezoneId

          public SchAgentDayShort withWmTimezoneId(int value)

    - #### withTimestamp

          public SchAgentDayShort withTimestamp(long value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.